Subject: bug#69969: closed ([PATCH 00/12] gnu: clipman: Update to 1.6.2.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 27 Mar 2024 23:13:02 +0000

Your bug report

#69969: [PATCH 00/12] gnu: clipman: Update to 1.6.2.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
69969: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=69969
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: [PATCH 00/12] gnu: clipman: Update to 1.6.2.
From: Sharlatan Hellseher <[email-masked]>
To: [email-masked]
Date: Wed, 27 Mar 2024 23:11:54 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Pushed as f427ec7026..2173e4a12e to master.

Subject: [PATCH 00/12] gnu: clipman: Update to 1.6.2.
From: Sharlatan Hellseher <[email-masked]>
To: [email-masked]
Cc: Sharlatan Hellseher <[email-masked]>
Date: Sun, 24 Mar 2024 00:35:06 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix!

I expected this series would not be so long when I thought just to move
go-github-com-kballard-go-shellquote to golang-xyz while preparing
go-github-com-gin-gonic-gin for review ^.^

Here we go! 

- module xdisorg completely relays on golang-xyz, syncthing and golang excluded
- clipman: package is heavenly refactored and updated to the latest version

I even forked go-github-com-kballard-go-shellquote (!) and made the first
release as the current project maintainer was no longer interested in it. I
might propagate it to clipman.

Live galactically,
Oleg

Sharlatan Hellseher (12):
  gnu: go-github-com-kballard-go-shellquote: Move to golang-xyz.
  gnu: go-github-com-alecthomas-kingpin: Move to golang-xyz.
  gnu: go-github-com-alecthomas-template: Move to golang-xyz.
  gnu: go-github-com-alecthomas-units: Move to golang-xyz.
  gnu: clipman: Fix source and home-page URL.
  gnu: clipman: Update to 1.6.2.
  gnu: Add go-github-com-xhit-go-str2duration-v2.
  gnu: Add go-github-com-alecthomas-kingpin-v2.
  gnu: Add go-gopkg-in-alecthomas-kingpin-v2.
  gnu: go-github-com-alecthomas-kingpin: Adjust inputs.
  gnu: clipman: Simplify package.
  gnu: clipman: Refresh package style.

 gnu/packages/golang-xyz.scm | 169 +++++++++++++++++++++++++++++++++++-
 gnu/packages/golang.scm     |  83 ------------------
 gnu/packages/syncthing.scm  |  24 -----
 gnu/packages/xdisorg.scm    |  56 ++++++------
 4 files changed, 195 insertions(+), 137 deletions(-)

base-commit: d5f857a3cfd1d7523b4051b94bd67b5cf5636219
-- 
2.41.0